﻿
@{
    Layout = "~/Views/Shared/_WebLayout.cshtml";
    ViewBag.Title = "Property";
}
<link href="~/Content/Application/property.css" rel="stylesheet" />
<link href="~/Content/Application/property_responsive.css" rel="stylesheet" />



@*<link href="~/Content/bootstrap4/bootstrap.min.css" rel="stylesheet" />
    <link href="~/Content/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <link href="~/Content/OwlCarousel2-2.2.1/owl.carousel.css" rel="stylesheet" />
    <link href="~/Content/OwlCarousel2-2.2.1/owl.theme.default.css" rel="stylesheet" />
    <link href="~/Content/OwlCarousel2-2.2.1/animate.css" rel="stylesheet" />
    <link href="~/Content/rangeslider.js-2.3.0/rangeslider.css" rel="stylesheet" />
    <link href="~/Content/Application/property.css" rel="stylesheet" />
    <link href="~/Content/Application/property_responsive.css" rel="stylesheet" />*@


@*<script src="~/Scripts/jquery-3.2.1.min.js"></script>
<script src="~/Scripts/jquery-3.3.1.min.js"></script>
<script src="~/Scripts/bootstrap4/popper.js"></script>
<script src="~/Scripts/bootstrap4/bootstrap.min.js"></script>
<script src="~/Scripts/greensock/TweenMax.min.js"></script>
<script src="~/Scripts/greensock/TimelineMax.min.js"></script>
<script src="~/Scripts/scrollmagic/ScrollMagic.min.js"></script>
<script src="~/Scripts/greensock/animation.gsap.min.js"></script>
<script src="~/Scripts/greensock/ScrollToPlugin.min.js"></script>
<script src="~/Scripts/OwlCarousel2-2.2.1/owl.carousel.js"></script>
<script src="~/Scripts/easing/easing.js"></script>
<script src="~/Scripts/rangeslider.js-2.3.0/rangeslider.min.js"></script>
<script src="~/Scripts/parallax-js-master/parallax.min.js"></script>*@


<div class="super_container">

    
     

    <!-- Home -->

    <div class="home">
        <div class="parallax_background parallax-window" data-parallax="scroll" data-image-src="/images/properties.jpg" data-speed="0.8"></div>
        <div class="home_container">
            <div class="container">
                <div class="row">
                    <div class="col">
                        <div class="home_content d-flex flex-row align-items-end justify-content-start">
                            <div class="home_title">Search results</div>
                            <div class="breadcrumbs ml-auto">
                                <ul>
                                    <li><a href="index.htmo">Home</a></li>
                                    <li>Search Results</li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Home Search -->
    <div class="home_search">
        <div class="container">
            <div class="row">
                <div class="col">
                    <div class="home_search_container">
                        <div class="home_search_content">
                            <form action="#" class="search_form d-flex flex-row align-items-start justfy-content-start">
                                <div class="search_form_content d-flex flex-row align-items-start justfy-content-start flex-wrap">
                                    <div>
                                        <select class="search_form_select">
                                            <option disabled selected>For rent</option>
                                            <option>Yes</option>
                                            <option>No</option>
                                        </select>
                                    </div>
                                    <div>
                                        <select class="search_form_select">
                                            <option disabled selected>All types</option>
                                            <option>Type 1</option>
                                            <option>Type 2</option>
                                            <option>Type 3</option>
                                            <option>Type 4</option>
                                        </select>
                                    </div>
                                    <div>
                                        <select class="search_form_select">
                                            <option disabled selected>City</option>
                                            <option>New York</option>
                                            <option>Paris</option>
                                            <option>Amsterdam</option>
                                            <option>Rome</option>
                                        </select>
                                    </div>
                                    <div>
                                        <select class="search_form_select">
                                            <option disabled selected>Bedrooms</option>
                                            <option>1</option>
                                            <option>2</option>
                                            <option>3</option>
                                            <option>4</option>
                                        </select>
                                    </div>
                                    <div>
                                        <select class="search_form_select">
                                            <option disabled selected>Bathrooms</option>
                                            <option>1</option>
                                            <option>2</option>
                                            <option>3</option>
                                        </select>
                                    </div>
                                </div>
                                <button class="search_form_button ml-auto">search</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Intro -->

    <div class="intro">
        <div class="container">
            <div class="row">
                <div class="col">
                    <div class="intro_content d-flex flex-lg-row flex-column align-items-start justify-content-start">
                        <div class="intro_title_container">
                            <div class="intro_title">Town house with sea view</div>
                            <div class="intro_tags">
                                <ul>
                                    <li><a href="#">Hottub</a></li>
                                    <li><a href="#">Swimming Pool</a></li>
                                    <li><a href="#">Garden</a></li>
                                    <li><a href="#">Patio</a></li>
                                    <li><a href="#">Hard Wood Floor</a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="intro_price_container ml-lg-auto d-flex flex-column align-items-start justify-content-center">
                            <div>For Sale</div>
                            <div class="intro_price">$980,000</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="intro_slider_container">

            <!-- Intro Slider -->
            <div class="owl-carousel owl-theme intro_slider">
                <!-- Slide -->
                <div class="owl-item"><img src="~/images/intro_1.jpg" alt=""></div>
                <!-- Slide -->
                <div class="owl-item"><img src="~/images/intro_1.jpg" alt=""></div>
                <!-- Slide -->
                <div class="owl-item"><img src="~/images/intro_1.jpg" alt=""></div>
            </div>

            <!-- Intro Slider Nav -->
            <div class="intro_slider_nav_container">
                <div class="container">
                    <div class="row">
                        <div class="col">
                            <div class="intro_slider_nav_content d-flex flex-row align-items-start justify-content-end">
                                <div class="intro_slider_nav intro_slider_prev"><i class="fa fa-chevron-left" aria-hidden="true"></i></div>
                                <div class="intro_slider_nav intro_slider_next"><i class="fa fa-chevron-right" aria-hidden="true"></i></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Property -->

    <div class="property">
        <div class="container">
            <div class="row">

                <!-- Sidebar -->

                <div class="col-lg-4">
                    <div class="sidebar">
                        <div class="sidebar_search">
                            <div class="sidebar_search_title">Search your home</div>
                            <div class="sidebar_search_form_container">
                                <form action="#" class="sidebar_search_form" id="sidebar_search_form">
                                    <select class="sidebar_search_select">
                                        <option disabled selected>Keywords</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                    </select>
                                    <select class="sidebar_search_select">
                                        <option disabled selected>Property ID</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                    </select>
                                    <select class="sidebar_search_select">
                                        <option disabled selected>Property Status</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                    </select>
                                    <select class="sidebar_search_select">
                                        <option disabled selected>City</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                    </select>
                                    <select class="sidebar_search_select">
                                        <option disabled selected>Property Type</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                        <option>Option</option>
                                    </select>
                                    <div class="row sidebar_search_row">
                                        <div class="col-lg-6">
                                            <input type="text" class="sidebar_search_input" placeholder="Bedrooms No">
                                        </div>
                                        <div class="col-lg-6">
                                            <input type="text" class="sidebar_search_input" placeholder="Bathrooms No">
                                        </div>
                                    </div>

                                    <!-- Filter Price -->
                                    <div class="price_filter">
                                        <div class="price_filter_values d-flex flex-row align-items-center justfy-content-start">
                                            <div>Min Price</div>
                                            <div class="ml-auto">Max Price</div>
                                        </div>
                                        <input type="range" min="0" max="1000" step="10" value="250" data-rangeslider="" style="position: absolute; width: 1px; height: 1px; overflow: hidden; opacity: 0;">
                                    </div>

                                    <!-- Filter Area -->
                                    <div class="area_filter">
                                        <div class="price_filter_values d-flex flex-row align-items-center justfy-content-start">
                                            <div>Min Price</div>
                                            <div class="ml-auto">Max Price</div>
                                        </div>
                                        <input type="range" min="0" max="1000" step="10" value="300" data-rangeslider="" style="position: absolute; width: 1px; height: 1px; overflow: hidden; opacity: 0;">
                                    </div>
                                    <button class="sidebar_search_button search_form_button">search</button>
                                </form>
                            </div>
                        </div>

                        <!-- Realtor -->
                        <div class="sidebar_realtor">
                            <div class="sidebar_realtor_image"><img src="/images/sidebar_realtor.jpg" alt=""></div>
                            <div class="sidebar_realtor_body text-center">
                                <div class="sidebar_realtor_title"><a href="#">Maria Williams</a></div>
                                <div class="sidebar_realtor_subtitle">Senior Realtor</div>
                                <div class="sidebar_realtor_phone"><span>call us: </span>652 345 3222 11</div>
                                <div class="realtor_link"><a href="#">+</a></div>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Property Content -->
                <div class="col-lg-7 offset-lg-1">
                    <div class="property_content">
                        <div class="property_icons">
                            <div class="property_title">Extra Facilities</div>
                            <div class="property_text property_text_1">
                                <p>Donec ullamcorper nulla non metus auctor fringi lla. Curabitur blandit tempus porttitor.</p>
                            </div>
                            <div class="property_rooms d-flex flex-sm-row flex-column align-items-start justify-content-start">

                                <!-- Property Room Item -->
                                <div class="property_room">
                                    <div class="property_room_title">Bedrooms</div>
                                    <div class="property_room_content d-flex flex-row align-items-center justify-content-start">
                                        <div class="room_icon"><img src="/images/room_1.png" alt=""></div>
                                        <div class="room_num">4</div>
                                    </div>
                                </div>

                                <!-- Property Room Item -->
                                <div class="property_room">
                                    <div class="property_room_title">Bathrooms</div>
                                    <div class="property_room_content d-flex flex-row align-items-center justify-content-start">
                                        <div class="room_icon"><img src="/images/room_2.png" alt=""></div>
                                        <div class="room_num">3</div>
                                    </div>
                                </div>

                                <!-- Property Room Item -->
                                <div class="property_room">
                                    <div class="property_room_title">Area</div>
                                    <div class="property_room_content d-flex flex-row align-items-center justify-content-start">
                                        <div class="room_icon"><img src="/images/room_3.png" alt=""></div>
                                        <div class="room_num">7100 Sq Ft</div>
                                    </div>
                                </div>

                                <!-- Property Room Item -->
                                <div class="property_room">
                                    <div class="property_room_title">Patio</div>
                                    <div class="property_room_content d-flex flex-row align-items-center justify-content-start">
                                        <div class="room_icon"><img src="/images/room_4.png" alt=""></div>
                                        <div class="room_num">1</div>
                                    </div>
                                </div>

                                <!-- Property Room Item -->
                                <div class="property_room">
                                    <div class="property_room_title">Garage</div>
                                    <div class="property_room_content d-flex flex-row align-items-center justify-content-start">
                                        <div class="room_icon"><img src="/images/room_5.png" alt=""></div>
                                        <div class="room_num">2</div>
                                    </div>
                                </div>

                            </div>
                        </div>

                        <!-- Description -->

                        <div class="property_description">
                            <div class="property_title">Description</div>
                            <div class="property_text property_text_2">
                                <p>Donec ullamcorper nulla non metus auctor fringi lla. Curabitur blandit tempus porttitor.Sed lectus urna, ultricies sit amet risus eget, euismod imperdiet augue. Duis imperdiet, purus a pellentesque sodales, sapien mauris rhoncus eros, ac blandit elit leo ac diam. Sed lectus urna, ultricies sit amet risus eget, euismod imperdiet augue. Duis imperdiet, purus a pellentesque sodales, sapien mauris rhoncus eros, ac blandit elit leo ac diam</p>
                            </div>
                        </div>

                        <!-- Additional Details -->

                        <div class="additional_details">
                            <div class="property_title">Additional Details</div>
                            <div class="details_container">
                                <ul>
                                    <li><span>bedroom features: </span>Main Floor Master Bedroom, Walk-In Closet</li>
                                    <li><span>dining area: </span>Breakfast Counter/Bar, Living/Dining Combo</li>
                                    <li><span>doors & windows: </span>Bay Window</li>
                                    <li><span>entry location: </span>Mid Level</li>
                                    <li><span>floors: </span>Raised Foundation, Vinyl Tile, Wall-to-Wall Carpet, Wood</li>
                                </ul>
                            </div>
                        </div>

                        <!-- Property On Map -->

                        <div class="property_map">
                            <div class="property_title">Property on map</div>
                            <div class="property_map_container">

                                <!-- Google Map -->
                                <div id="google_map" class="google_map">
                                    <div class="map_container">
                                        <div id="map"><iframe src="https://www.google.com/maps/embed?pb=!1m26!1m12!1m3!1d31095.627315655558!2d77.56374172159298!3d13.038637311952941!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!4m11!3e6!4m3!3m2!1d13.064331699999999!2d77.5938875!4m5!1s0x3bae163327282f21%3A0xb0760d37c2759fc1!2sgraphene+services+pte+ltd!3m2!1d13.0105247!2d77.5762659!5e0!3m2!1sen!2sin!4v1555548518767!5m2!1sen!2sin" width="100%" height="450" frameborder="0" style="border:0" allowfullscreen></iframe></div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>








@section scripts {
    <script type="text/javascript">

        /* JS Document */

        /******************************

        [Table of Contents]

        1. Vars and Inits
        2. Set Header
        3. Init Menu
        4. Init Intro Slider
        5. Init Price Slider
        6. Init Google Map


        ******************************/

        $(document).ready(function () {
            debugger
            "use strict";

            /*

            1. Vars and Inits

            */

            var header = $('.header');
            var menu = $('.menu');
            var menuActive = false;
            var ctrl = new ScrollMagic.Controller();
            var map;

            setHeader();

            $(window).on('resize', function () {
                setHeader();

                setTimeout(function () {
                    $(window).trigger('resize.px.parallax');
                }, 375);
            });

            $(document).on('scroll', function () {
                setHeader();
            });

            initMenu();
            initIntroSlider();
            initPriceSlider();
           

            /*

            2. Set Header

            */

            function setHeader() {
                if ($(window).scrollTop() > 127) {
                    header.addClass('scrolled');
                }
                else {
                    header.removeClass('scrolled');
                }
            }

            /*

            3. Init Menu

            */

            function initMenu() {
                if ($('.hamburger').length && $('.menu').length) {
                    var hamb = $('.hamburger');
                    var close = $('.menu_close_container');

                    hamb.on('click', function () {
                        if (!menuActive) {
                            openMenu();
                        }
                        else {
                            closeMenu();
                        }
                    });

                    close.on('click', function () {
                        if (!menuActive) {
                            openMenu();
                        }
                        else {
                            closeMenu();
                        }
                    });


                }
            }

            function openMenu() {
                menu.addClass('active');
                menuActive = true;
            }

            function closeMenu() {
                menu.removeClass('active');
                menuActive = false;
            }

            /*

            4. Init Intro Slider

            */

            function initIntroSlider() {
                debugger
                if ($('.intro_slider').length) {
                    var introSlider = $('.intro_slider');
                    introSlider.owlCarousel(
                        {
                            items: 1,
                            loop: true,
                            autoplay: false,
                            smartSpeed: 1200,
                            dots: false,
                            nav: false
                        });

                    if ($('.intro_slider_prev').length) {
                        var prev = $('.intro_slider_prev');
                        prev.on('click', function () {
                            introSlider.trigger('prev.owl.carousel');
                        });
                    }

                    if ($('.intro_slider_next').length) {
                        var next = $('.intro_slider_next');
                        next.on('click', function () {
                            introSlider.trigger('next.owl.carousel');
                        });
                    }
                }
            }

            /*

            5. Init Price Slider

            */

            function initPriceSlider() {
                $('input[type="range"]').rangeslider(
                    {
                        // Feature detection the default is `true`.
                        // Set this to `false` if you want to use
                        // the polyfill also in Browsers which support
                        // the native <input type="range"> element.
                        polyfill: false,

                        // Default CSS classes
                        rangeClass: 'rangeslider',
                        disabledClass: 'rangeslider--disabled',
                        horizontalClass: 'rangeslider--horizontal',
                        verticalClass: 'rangeslider--vertical',
                        fillClass: 'rangeslider__fill',
                        handleClass: 'rangeslider__handle',

                        // Callback function
                        onInit: function () { },

                        // Callback function
                        onSlide: function (position, value) { },

                        // Callback function
                        onSlideEnd: function (position, value) { }
                    });
            }

            /*

            6. Init Google Map

            */

           
        });
    </script>
}

